<?php

namespace Vendtics\App\DTO\Contact;

defined( "ABSPATH" ) || exit;

use Vendtics\WpMVC\DTO\DTO;

class ContactListDTO extends DTO {
    private int $contact_id;

    private int $list_id;

    /**
     * Get the value of contact_id
     *
     * @return int
     */
    public function get_contact_id(): int {
        return $this->contact_id;
    }

    /**
     * Set the value of contact_id
     *
     * @param int $contact_id 
     *
     * @return self
     */
    public function set_contact_id( int $contact_id ): self {
        $this->contact_id = $contact_id;

        return $this;
    }

    /**
     * Get the value of list_id
     *
     * @return int
     */
    public function get_list_id(): int {
        return $this->list_id;
    }

    /**
     * Set the value of list_id
     *
     * @param int $list_id 
     *
     * @return self
     */
    public function set_list_id( int $list_id ): self {
        $this->list_id = $list_id;

        return $this;
    }
}